package sgc.portal.cw.cw0804.web;

import org.springframework.web.bind.annotation.*;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0804.dto.CW08040006PSearch;
import sgc.portal.cw.cw0804.model.CW08040006P;
import sgc.portal.cw.cw0804.service.CW08040006PService;

import java.util.Map;

@RestController
@RequestMapping("/cw/cw0804")
public class CW08040006PController {
    private final CW08040006PService service;

    public CW08040006PController(CW08040006PService service) {
        this.service = service;
    }
    
    @PostMapping("/CW08040006P/selectRemInfo")
    public EasyHashMap<String, Object> getSelectRemInfo(@RequestBody CW08040006PSearch search) {
        return service.getSelectRemInfo(search);
    }

    @PostMapping("/CW08040006P/save")
    public Map<String, String> save(@RequestBody CW08040006P CW08040006P) {
    	return service.save(CW08040006P);
    }
}
